# Replay Missing Webhooks

> Webhooks API, POST /endpoint/{endpoint_id}/replay-missing: Replays messages to the endpoint.

`POST /endpoint/{endpoint_id}/replay-missing` on the Webhooks API. Base URL: `https://api.sinay.ai/webhook/api/v1`.

Replays messages to the endpoint. Only messages that were created after `since` will be sent. Messages that were previously sent to the endpoint are not resent.

## Path parameters

::api-parameters{location="path"}
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `endpoint_id` | string | Yes | The ep's ID or UID. Example: `unique-ep-identifier`. |
::

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `idempotency-key` | string | No | The request's idempotency key. |

## Request body

`application/json`, required.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `since` | string (date-time) | Yes | — |
| `until` | string (date-time), nullable | No | — |

::api-request-body
Example request body:

```json
{
  "since": "2024-06-12T12:00:00Z",
  "until": "2024-06-12T12:00:00Z"
}
```
::

## Responses

::api-response
---
status: "204"
description: No content. Your events were replayed.
---

No body.

::

::api-response
---
status: "400"
description: Bad request
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `code` | string | Yes | — |
| `detail` | string | Yes | — |

::

::api-response
---
status: "403"
description: Forbidden
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `code` | string | Yes | — |
| `detail` | string | Yes | — |

::

::api-response
---
status: "404"
description: Not Found. Endpoint not found
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `code` | string | Yes | — |
| `detail` | string | Yes | — |

::

::api-response
---
status: "429"
description: Too Many Requests
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `code` | string | Yes | — |
| `detail` | string | Yes | — |

::

::api-response
---
status: "500"
description: Internal Error
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `code` | string | Yes | — |
| `detail` | string | Yes | — |

::
